Package org.tmatesoft.svn.core.wc

# Class SVNDiffStatus

java.lang.Object
org.tmatesoft.svn.core.wc.SVNDiffStatus

public class SVNDiffStatus extends Object
The SVNDiffStatus class is used to provide short information on path changes during diff status operations.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

## Constructor Summary

Constructors
Constructor
Description
`SVNDiffStatus(File file, SVNURL url, String path, SVNStatusType type, boolean propsModified, SVNNodeKind kind)`
Instantiates a new object.

## Method Summary

Modifier and Type
Method
Description
`File`
`getFile()`
Returns File representation of the Working Copy item path.
`SVNNodeKind`
`getKind()`
Returns the node kind of the Working Copy item.
`SVNStatusType`
`getModificationType()`
Returns the type of modification for the current item.
`String`
`getPath()`
Returns a relative path of the item.
`SVNURL`
`getURL()`
Url of the item.
`boolean`
`isPropertiesModified()`
Says whether properties of the Working Copy item are modified.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SVNDiffStatus

public SVNDiffStatus(File file, SVNURL url, String path, SVNStatusType type, boolean propsModified, SVNNodeKind kind)
Instantiates a new object.

Parameters:
  `file` - a wc item path
  `url` - an item url
  `path` - a relative item path (may be null)
  `type` - a type of path change
  `propsModified` - sets whether properties are modified
  `kind` - a path kind (dir or file)

## Method Details

### getFile

public File getFile()
Returns File representation of the Working Copy item path.

Returns:
  wc item path as File

### isPropertiesModified

public boolean isPropertiesModified()
Says whether properties of the Working Copy item are modified.

Returns:
  true if properties were modified in a particular revision, false otherwise

### getKind

public SVNNodeKind getKind()
Returns the node kind of the Working Copy item.

Returns:
  node kind

### getModificationType

public SVNStatusType getModificationType()
Returns the type of modification for the current item.

Returns:
  a path change type

### getPath

public String getPath()
Returns a relative path of the item. Set for Working Copy items and relative to the anchor of diff status operation.

Returns:
  item path

### getURL

public SVNURL getURL()
Url of the item.

Returns:
  item url